KK plugin in Studio One 6 will not load VSL Prime insturments.

lasvideo
lasvideo Member Posts: 2 Newcomer
edited January 2023 in Komplete Kontrol

I just purchased the Synchrony Prime library and installed it. I then used the most recent VSL NKS installer. The library shows up in Komplete Kontrol but when I try to load the instruments an error message appears stating something about M1 compatibility. I am running this library on an M1 Mac Mini running Ventura. Is Prime not functioning with Komplete Kontrol M1 Ventura Macs?

I made the change on the stand alone version of KK to run on Rosetta and the Prime Instruments load just fine. BUT the plug in version still has the problem of not being able to load the Prime instruments. And as you can see in the attached file, the plug in does not give me the option to run under Rosetta. When will KK support fully support M1 Ventura?



Tagged:

Best Answer

  • Kymeia
    Kymeia Member Posts: 3,469 Expert
    Answer ✓

    KK does - the problem is not all developers have updated their NKS patches to load in the VST3 version of their plugins so it is expecting the VST2, which is why you then get a message saying to run under Rosetta (as VST2 only loads in Rosetta mode).

Answers

  • Kymeia
    Kymeia Member Posts: 3,469 Expert
    Answer ✓

    KK does - the problem is not all developers have updated their NKS patches to load in the VST3 version of their plugins so it is expecting the VST2, which is why you then get a message saying to run under Rosetta (as VST2 only loads in Rosetta mode).

  • lasvideo
    lasvideo Member Posts: 2 Newcomer

    Thanks!....

Back To Top